# Uses of Interface
org.eclipse.emf.cdo.common.lock.IDurableLockingManager.LockArea

Packages that use IDurableLockingManager.LockArea
Package
Description
org.eclipse.emf.cdo.common.lock
Common concepts for dealing with durable locks and views.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of IDurableLockingManager.LockArea in org.eclipse.emf.cdo.common.lock

Methods in org.eclipse.emf.cdo.common.lock that return IDurableLockingManager.LockArea
Modifier and Type
Method
Description
`static IDurableLockingManager.LockArea`
CDOLockUtil.`createLockArea(String durableLockingID)`
`static IDurableLockingManager.LockArea`
CDOLockUtil.`createLockArea(String durableLockingID, String userID, CDOBranchPoint branchPoint, boolean readOnly, Map<CDOID,IDurableLockingManager.LockGrade> locks)`
`IDurableLockingManager.LockArea`
IDurableLockingManager.`createLockArea(String userID, CDOBranchPoint branchPoint, boolean readOnly, Map<CDOID,IDurableLockingManager.LockGrade> locks)`
`IDurableLockingManager.LockArea`
IDurableLockingManager.`getLockArea(String durableLockingID)`
Returns the `lock area` specified by the given durableLockingID, never `null`.
Methods in org.eclipse.emf.cdo.common.lock with parameters of type IDurableLockingManager.LockArea
Modifier and Type
Method
Description
`boolean`
IDurableLockingManager.LockArea.Handler.`handleLockArea(IDurableLockingManager.LockArea area)`

## Uses of IDurableLockingManager.LockArea in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return IDurableLockingManager.LockArea
Modifier and Type
Method
Description
`IDurableLockingManager.LockArea`
CDODataInput.`readCDOLockArea()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type IDurableLockingManager.LockArea
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDOLockArea(IDurableLockingManager.LockArea lockArea)`

## Uses of IDurableLockingManager.LockArea in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return IDurableLockingManager.LockArea
Modifier and Type
Method
Description
`IDurableLockingManager.LockArea`
IStoreAccessor.DurableLocking2.`createLockArea(String durableLockingID, String userID, CDOBranchPoint branchPoint, boolean readOnly, Map<CDOID,IDurableLockingManager.LockGrade> locks)`
Methods in org.eclipse.emf.cdo.server with parameters of type IDurableLockingManager.LockArea
Modifier and Type
Method
Description
`void`
ILockingManager.DurableViewHandler.`openingView(CDOCommonSession session, int viewID, boolean readOnly, IDurableLockingManager.LockArea area)`
A call-back method primarily intended to allow implementers to prevent the view from being opened by throwing an exception.
`void`
IStoreAccessor.DurableLocking2.`updateLockArea(IDurableLockingManager.LockArea lockArea)`

## Uses of IDurableLockingManager.LockArea in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return IDurableLockingManager.LockArea
Modifier and Type
Method
Description
`IDurableLockingManager.LockArea`
CDODataInputImpl.`readCDOLockArea()`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type IDurableLockingManager.LockArea
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDOLockArea(IDurableLockingManager.LockArea lockArea)`

## Uses of IDurableLockingManager.LockArea in org.eclipse.emf.cdo.spi.server

Classes in org.eclipse.emf.cdo.spi.server that implement IDurableLockingManager.LockArea
Modifier and Type
Class
Description
`class`
`DurableLockArea`
Deprecated.
Use `CDOLockUtil.createLockArea(String, String, CDOBranchPoint, boolean, Map)` instead
Methods in org.eclipse.emf.cdo.spi.server that return IDurableLockingManager.LockArea
Modifier and Type
Method
Description
`IDurableLockingManager.LockArea`
InternalLockManager.`createLockArea(InternalView view)`
`IDurableLockingManager.LockArea`
InternalLockManager.`createLockArea(InternalView view, String lockAreaID)`
Methods in org.eclipse.emf.cdo.spi.server with parameters of type IDurableLockingManager.LockArea
Modifier and Type
Method
Description
`void`
InternalLockManager.`updateLockArea(IDurableLockingManager.LockArea lockArea)`